sg_lock_mutex(3)

NAME
sg_lock_mutex, sg_unlock_mutex - guard not MT-safe system API

SYNOPSIS
\FC#include <statgrab.h>\F[]

\FCsg_error sg_lock_mutex\F[]
\FC(char const *mutex_name);\F[]

\FCsg_error sg_unlock_mutex\F[]
\FC(char const *mutex_name);\F[]

DESCRIPTION

RETURN VALUES
Both functions return a statgrab error code.

error code: SG_ERROR_NONE
description: No error

error code: SG_ERROR_INVALID_ARGUMENT
description: Unknown name for mutex

error code: SG_ERROR_MUTEX_LOCK
description: thread library error, error code is set with the delivered value

error code: SG_ERROR_MUTEX_UNLOCK
description: thread library error, error code is set with the delivered value

SEE ALSO
statgrab(3)

WEBSITE
⟨https://libstatgrab.org/⟩